import axios from 'axios';
import fetchAdapter from '@vespaiach/axios-fetch-adapter';
import { configTiktokApi } from '@/config/api';

const tiktokDomain = configTiktokApi.shop;

export const apiTiktoklient = axios.create({
  baseURL: tiktokDomain,
  responseType: 'json',
  adapter: fetchAdapter,
  timeout: 10000,
});

apiTiktoklient.interceptors.response.use((response) => response.data);
